{
  
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-21.11";
    nur.url = "github:nix-community/NUR";
    
    home-manager = {
      url = "github:nix-community/home-manager/release-21.11";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  }; 

  outputs = {self, nixpkgs, home-manager, nur, ...}: {
    nixosConfigurations.posixlycorrect = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [ ( import ./base ) ];
    };
    
    homeConfigurations."fabian@posixlycorrect" = home-manager.lib.homeManagerConfiguration {
      system = "x86_64-linux";
      configuration = import ./home;
      username = "fabian";
      homeDirectory = "/home/fabian";
      stateVersion = "21.11";
    };
  };
}
