# man page: https://rycee.gitlab.io/home-manager/options.html

{ config, pkgs, lib, ... }:
{

  home = {
    stateVersion = "21.11"; # No tocar esto
    username = "fabian";
    homeDirectory = "/home/fabian";
    packages = import ./path.nix pkgs;
  };

  nix.registry."system".to = {
       type = "path";
       path = "/home/fabian/nix";
  };

  nixpkgs.config.allowUnfree = true;
  programs.home-manager.enable = true;
  programs.neovim.enable = true;
  programs.zsh = {
    enable = true;
    enableSyntaxHighlighting = true;
    initExtra = import ./zshrc.nix pkgs;
  };

  services.betterlockscreen = {
    enable = true;
    # confiugrar luego
  };

  # configurable = [ neovim zsh keyboardlayout pulsaudio vscodium i3-gaps dunst rofi ];

  programs.git = {
    enable = true;
    userEmail = "fabian@cluster451.org";
    userName = "Fabián Montero";
    # signing.key = "" poner mi key luego
  };
}

